<HTML>
<HEAD>
   <TITLE>Jftp Test Page</TITLE>
   <STYLE>
     table.fl tr td, table#jftpTable tr td {
        border-top: 1pt solid #000;
        background-color: #FFF5D5;
     }
     input.jftp {
        width: 90px;
        border-left: thick solid #FFC800;
        border-some: 8FB1EF;
     }
     span.jftp {
        padding: 0;
        border-top: 1px solid #999999;
     }
     form {
        margin: 0;
     }
   </STYLE>
<SCRIPT language="Javascript1.3" type="text/javascript">
var fileSep = "><"; // document.jftp.getListFileSeparator();
var fieldSep = "<"; // document.jftp.getListFieldSeparator();

var sjObject = new Object();
sjObject.fileComplete = _sj_fileComplete;
sjObject.uploadComplete = _sj_uploadComplete;
sjObject.uploadError = _sj_uploadError;

function _sj_fileComplete() {
   updateTable();
}

function _sj_uploadComplete() {
}

function _sj_uploadError() {
   jstat = document.jftp.getStatus();
   alert("ERROR: " + jstat);
}


function updateTable() {
   details = document.jftp.uploads();
   if ( details.length < 5 ) {
      details="";
   } else {
      files = details.split(fileSep);
      if ( document.all ) {
         list = '<table class="fl" width="100%" cellpadding="0" cellspacing="2">';
         for(i = 0; i < files.length - 1; i++) {
            dt = files[i].split(fieldSep);
            list += "<tr><td>" + (i+1) + "</td>";
            for (j = 0; j < dt.length - 1; j++ ) {
               list += "<td>" + dt[j] + "</td>";
            }
            list += "</tr>";
         }
         list += "</table>";
         document.all["jftpDiv"].innerHTML = list;
      }  else if ( document.getElementById ) {
         oldtable = document.getElementById("jftpTable");
         if ( oldtable != null ) {
            jt = document.getElementById("jftpDiv");
            jt.removeChild(oldtable);
         }
         table = document.createElement("TABLE");
         table.setAttribute("id","jftpTable");
         
         tbody = document.createElement("TBODY");
         for(i = 0; i < files.length; i++) {
            dt = files[i].split(fieldSep);
            tr = document.createElement("TR");
            for (j = 0; j < dt.length; j++ ) {
               td = document.createElement("TD");
               txt = document.createTextNode(dt[j]);
               td.appendChild(txt);
               tr.appendChild(td);
            }
            tbody.appendChild(tr);
         }
         table.appendChild(tbody);
         jt = document.getElementById("jftpDiv");
         jt.appendChild(table);
      }
   }
}

function convertFileName(fn) {
   r = /\s+/gi;
   cfn = fn.replace(r, "_").toLowerCase();
   return cfn;
}

function addUpload(file) {
    // addUpload(String clientPath, String clientFile, String serverPath, String serverFile)
    // addUpload(String clientFile, String serverFile)
    // addUpload(String clientFile)
    lastSlash = file.lastIndexOf("\\");
    if ( lastSlash > 0 ) {
        fileName = file.substring(lastSlash+1);
        filePath = file.substring(0, lastSlash);
        document.jftp.addUpload(filePath, fileName, '', convertFileName(fileName));
    } else {
        document.jftp.addUpload(file, convertFileName(file));
    }
    updateTable();
}

function addUploadDir(dir) {
   document.jftp.addUploadDir(dir);
   updateTable();
}
   
function startUpload() {
   document.jftp.setInteractive(true);
   document.jftp.startUpload();
}

function abortUpload() {
   document.jftp.abort();
}
</SCRIPT>

</HEAD>
<BODY>
<H3>JftpApplet Test Page</H3>
<span class="jftp">
<APPLET zbgcolor="#E6EEFF" zprogressbarcolor="#8FB1EF" textcolor="82ADFD" 
        id="jftp" name="jftp" SCRIPTABLE="TRUE" 
        codebase="."
        archive="jftp.jar"
        code="com.somethingjava.JftpApplet" 
        width=285 height=120>
   <PARAM name="SCRIPTABLE" value="TRUE"/>
   <param name="host" value="ftp.somesite.com"/>
   <param name="userName" value="username"/>
   <param name="pass" value="password"/>
   <param name="successUrl" value="http://www.nosite.com"/>

   <cfif FindNoCase("Mac",HTTP_USER_AGENT,1) gt 0>
	   <param name="showButtons" value="true"/>
   <cfelse>
	   <param name="showButtons" value="false"/>
   </cfif>

	<cfif isdefined("url.passive")>
	   <param name="passive" value="true" />
	<cfelse>
	   <param name="passive" value="false" />
	</cfif>

   <param name="configFile" value="test.cfm"/>

</APPLET></SPAN>

<cfif FindNoCase("Mac",HTTP_USER_AGENT,1) lt 1>
<FORM action="">
<input type="FILE" class="jftp" style="width:285px" name="fileName" onChange="addUpload(this.value);"/>
<br>
<script>if (!document.all) document.write("<input type='button' class='jftp' value='Add to Queue' onclick='addUpload(this.form.fileName.value);'>");</script>
<input type='button' class='jftp' value='Add Dir'
onclick='addUploadDir("c:\\downloads");'>
<INPUT type="button" class="jftp" value=" Send " onclick="startUpload();return false"/>
<INPUT type="button" class="jftp" value="Abort" onclick="abortUpload();return false"/>
</FORM>
</cfif>
<div id="jftpDiv" style="position:absolute">
</div>
</BODY>
</HTML>
